< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package test
  Definition Classes
    mongo
- CleanMongoCollectionSupport
- DefaultMongoCollectionSupport
- IndexedMongoQueriesSupport
- MongoCollectionSupport
- MongoSupport

t

uk.gov.hmrc.mongo.test

# DefaultMongoCollectionSupport 

###

#### trait DefaultMongoCollectionSupport extends CleanMongoCollectionSupport with IndexedMongoQueriesSupport

Self Type
  DefaultMongoCollectionSupport with TestSuite

Linear Supertypes
IndexedMongoQueriesSupport, BeforeAndAfterAll, CleanMongoCollectionSupport, BeforeAndAfterEach, SuiteMixin, MongoCollectionSupport, MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultMongoCollectionSupport
2. IndexedMongoQueriesSupport
3. BeforeAndAfterAll
4. CleanMongoCollectionSupport
5. BeforeAndAfterEach
6. SuiteMixin
7. MongoCollectionSupport
8. MongoSupport
9. ScalaFutures
10. Futures
11. PatienceConfiguration
12. AbstractPatienceConfiguration
13. ScaledTimeSpans
14. AnyRef
15. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait FutureConcept[T] extends AnyRef
   Definition Classes
     Futures
2.  final case class PatienceConfig extends Product with Serializable
   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1.  abstract val collectionName: String
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
2.  abstract def expectedTestCount(filter: Filter): Int
   Definition Classes
     SuiteMixin
3.  abstract val indexes: Seq[IndexModel]
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
4.  abstract def nestedSuites: IndexedSeq[Suite]
   Definition Classes
     SuiteMixin
5.  abstract def rerunner: Option[String]
   Definition Classes
     SuiteMixin
6.  abstract def runNestedSuites(args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
7.  abstract def runTests(testName: Option[String], args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
8.  abstract val styleName: String
   Definition Classes
     SuiteMixin
9.  abstract def suiteId: String
   Definition Classes
     SuiteMixin
10.  abstract def suiteName: String
    Definition Classes
      SuiteMixin
11.  abstract def tags: Map[String, Set[String]]
    Definition Classes
      SuiteMixin
12.  abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData
    Definition Classes
      SuiteMixin
13.  abstract def testNames: Set[String]
    Definition Classes
      SuiteMixin

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def afterAll(): Unit
   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll
5.  def afterEach(): Unit
   Attributes
     protected
   Definition Classes
     BeforeAndAfterEach
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def beforeAll(): Unit
   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll
8.  def beforeEach(): Unit
   Attributes
     protected
   Definition Classes
     CleanMongoCollectionSupport → BeforeAndAfterEach
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
10.  implicit def convertScalaFuture[T](scalaFuture: Future[T]): (DefaultMongoCollectionSupport.this)#FutureConcept[T]
    Definition Classes
      ScalaFutures
11.  def count(): Future[Long]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
12.  def createCollection(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
13.  def createIndexes(): Seq[String]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
14.  val databaseName: String
    Attributes
      protected
    Definition Classes
      MongoSupport
15.  def dropCollection(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
16.  def dropDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoSupport
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def find(filter: Bson): Future[Seq[Document]]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
21.  def findAll(): Future[Seq[Document]]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def insert[T](document: Document): Future[Completed]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
25.  def interval(value: Span): Interval
    Definition Classes
      PatienceConfiguration
26.  val invokeBeforeAllAndAfterAllEvenIfNoTestsAreExpected: Boolean
    Definition Classes
      BeforeAndAfterAll
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  lazy val mongoClient: MongoClient
    Attributes
      protected
    Definition Classes
      MongoSupport
29.  lazy val mongoCollection: MongoCollection[Document]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
30.  lazy val mongoComponent: MongoComponent
    Attributes
      protected
    Definition Classes
      MongoSupport
31.  lazy val mongoDatabase: MongoDatabase
    Attributes
      protected
    Definition Classes
      MongoSupport
32.  val mongoUri: String
    Attributes
      protected
    Definition Classes
      MongoSupport
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  implicit val patienceConfig: (DefaultMongoCollectionSupport.this)#PatienceConfig
    Definition Classes
      DefaultMongoCollectionSupport → PatienceConfiguration → AbstractPatienceConfiguration
37.  def prepareDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport → MongoSupport
38.  def run(testName: Option[String], args: Args): Status
    Definition Classes
      BeforeAndAfterAll → SuiteMixin
39.  def runTest(testName: String, args: Args): Status
    Attributes
      protected
    Definition Classes
      BeforeAndAfterEach → SuiteMixin
40.  final def scaled(span: Span): Span
    Definition Classes
      ScaledTimeSpans
41.  def spanScaleFactor: Double
    Definition Classes
      ScaledTimeSpans
42.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
43.  def timeout(value: Span): Timeout
    Definition Classes
      PatienceConfiguration
44.  def toString(): String
    Definition Classes
      AnyRef → Any
45.  def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]
    Attributes
      protected
    Definition Classes
      MongoSupport
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
49.  final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T])(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
50.  final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
51.  final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
52.  final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures

### Inherited from IndexedMongoQueriesSupport

### Inherited from BeforeAndAfterAll

### Inherited from CleanMongoCollectionSupport

### Inherited from BeforeAndAfterEach

### Inherited from SuiteMixin

### Inherited from MongoCollectionSupport

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped